wikicurses.conf(5)

NAME
wikicurses - curses interface for MediaWiki

SYNOPSIS
/etc/wikicurses.conf ~/.config/wikicurses/config

DESCRIPTION
The configuration file for wikicurses is divided into sections with the "general" section containing general settings. All other sections specify individual wikis.

EXAMPLE
[general]
default = Wikipedia
mouse = False
hide_references = False
[keymap]
q = quit
c = contents
o = open
h = back
l = forward
left = back
right = forward
[Wikipedia]
url = http://en.wikipedia.org/w/api.php
username = johndoe
password = 1234
[ArchWiki]
url = https://wiki.archlinux.org/api.php

OPTIONS

  general

default
    The name of the wiki to use by default

mouse
    Support mouse input. With this enabled, you will have to hold down shift to select text.

hide_references
    Hide the References section at the bottom of the page and strip citations from the text.

  keymap
This section configures the keyboard bindings of wikicurses, in the format "key=command". Command can be any ex command supported by wikicurses.

  Other Sections
Other sections are treated as wiki entries. The url is the url for api.php on the wiki. The username and password are required for editing.

url
    The url to api.php on the MediaWiki site